Subject: Re: bug#43252: 27.1; DBus properties lack type hints or overrides

From: Hugh Daschbach <[email-masked]>
Date: Sun, 27 Sep 2020 20:00:17 -0700

Michael Albinus writes:

> Hugh Daschbach <[email-masked]> writes:
>
>> in the xml file.  So introspecting those nodes timed out.  Each timeout
>> cost a second.
>
> OK. But maybe you add also one or two tests to check this error functionality.

Done.  dbus-test07-introspection now has a test that no timeout
occurred.  It is no longer tagged :expensive-test.

A new dbus-test07-timeout tests both implicit (dbus-introspect-*) and
explicit (dbus-call-method) timeouts.  It is tagged :expensive-test.

>> I’ve fixed this for the next patch set.  The change was simple enough.
> Btw, I have just pushed a larger patch to master. It implements a first
> shot on the org.freedesktop.DBus.Monitoring.BecomeMonitor
> functionality. If you want to see how it works, just call
> (dbus-register-monitor :session) . There will be a new buffer *D-Bus
> Monitor*, which shows you D-Bus messages similar to what the UNIX
> command "dbus-monitor --session" does. The point is that you can
> register your own handler to the monitor; if you don't declare an own
> handler, the default handler `dbus-monitor-handler' is taken.
>
> As said, it is just a first shot. Proper documentation is missing, and
> not all arguments of `dbus-register-monitor' seem to work as
> expected. But you might see which direction it will go; any feedback is
> appreciated.

Impressive.  This is a great source of proper signature syntax.  Not to
mention a most useful debugging tool.  Nice.

Timestamps (perhaps optional) would be useful, I think.

Cheers,
Hugh